org.apache.tinkerpop.gremlin

## Enum LoadGraphWith.GraphData

- java.lang.Object
- - java.lang.Enum<LoadGraphWith.GraphData>
  - - org.apache.tinkerpop.gremlin.LoadGraphWith.GraphData

- All Implemented Interfaces:
    Serializable, Comparable<LoadGraphWith.GraphData>
  Enclosing class:
    LoadGraphWith

      public static enum LoadGraphWith.GraphData
      extends Enum<LoadGraphWith.GraphData>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASSIC` Loads the "classic" TinkerPop toy graph.
    `CREW` Load "The Crew" TinkerPop3 toy graph which includes `VertexProperty` data.
    `GRATEFUL` Loads the "grateful dead" graph which is a "large" graph which provides for the construction of more complex traversals.
    `MODERN` Loads the "modern" TinkerPop toy graph which is like "classic", but with the "weight" value on edges stored as double and labels added for vertices.
    `SINK` Loads a test graph which contains disconnected subgraphs specialized for testing purposes (e.g.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FeatureRequirement>` | `featuresRequired()`
    `String` | `location()`
    `static LoadGraphWith.GraphData` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoadGraphWith.GraphData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSIC

          public static final LoadGraphWith.GraphData CLASSIC

      Loads the "classic" TinkerPop toy graph.

    - #### MODERN

          public static final LoadGraphWith.GraphData MODERN

      Loads the "modern" TinkerPop toy graph which is like "classic", but with the "weight" value on edges stored as double and labels added for vertices. This should be the most commonly used graph instance for testing as graphs that support string, double and int should comprise the largest number of implementations.

    - #### CREW

          public static final LoadGraphWith.GraphData CREW

      Load "The Crew" TinkerPop3 toy graph which includes `VertexProperty` data.

    - #### GRATEFUL

          public static final LoadGraphWith.GraphData GRATEFUL

      Loads the "grateful dead" graph which is a "large" graph which provides for the construction of more complex traversals.

    - #### SINK

          public static final LoadGraphWith.GraphData SINK

      Loads a test graph which contains disconnected subgraphs specialized for testing purposes (e.g. a subgraph with a self-loop).

  - ### Method Detail

    - #### values

          public static LoadGraphWith.GraphData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoadGraphWith.GraphData c : LoadGraphWith.GraphData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoadGraphWith.GraphData valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### location

          public String location()

    - #### featuresRequired

          public List<FeatureRequirement> featuresRequired()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.